<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/TR/WD-xsl" 
                xmlns:html="http://www.w3.org/TR/REC-html40"
                result-ns="">

<xsl:template match="/">
<html>
 <head><title>Library</title></head>
 <body>
   <font face="Arial" >
      <h1><center><b>Library</b></center></h1>
   </font>
     
   <table border="1">
	<xsl:apply-templates />
   </table>
 </body>

</html>
</xsl:template>

<xsl:template match="library">
   <xsl:for-each select="book">
       <tr>
          <td bgcolor="#00ff00"><xsl:value-of select="./@code"/></td>
           <xsl:apply-templates />
       </tr>
   </xsl:for-each>
</xsl:template>



<xsl:template match="title">
 <td><xsl:value-of select="."/></td>
</xsl:template>

<xsl:template match="publisher">
 <td><xsl:value-of select="."/></td>
</xsl:template>

<xsl:template match="author">
 <td><xsl:value-of select="./last_name" /> 
     <xsl:value-of select="./first_name" /></td>
</xsl:template>

</xsl:stylesheet>
